SDL_GetAndroidCachePath(3)

NAME
SDL_GetAndroidCachePath - Get the path used for caching data for this Android application.

SYNOPSIS
#include <SDL3/SDL_system.h>

const char * SDL_GetAndroidCachePath(void);

DESCRIPTION
This path is unique to your application, but is public and can be written to by other applications.

Your cache path is typically: /data/data/your.app.package/cache/.

This is a C wrapper over android.content.Context.getCacheDir():

https://developer.android.com/reference/android/content/Context#getCacheDir()

RETURN VALUE
Returns the path used for caches for this application on success or NULL on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetAndroidInternalStoragePath(3), SDL_GetAndroidExternalStoragePath(3)